Subject: bug#29170: 26.0.90; Emacs freezes when capturing an org-template

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 Aug 2021 13:50:43 +0200

Grégoire Jadi <[email-masked]> writes:

>> Hm, let's see...  I guess the code paths that are exercised are the ones
>> where USABLE_SIGIO is undefined?  Do you have a simple test case for
>> this (on Ubuntu, for instance)?  I think it might make sense to open a
>> new bug report for this.
>
> Yes, the same snippet used to trigger the bug on OpenBSD can be used:
>
>> (let ((value 'SECONDARY)
>>       (x-selection-timeout 2000))
>>   ;;; from org-get-x-clipboard in lisp/org-compat.el
>>   (gui-get-selection value 'UTF8_STRING)
>>   (gui-get-selection value 'COMPOUND_TEXT)
>>   (gui-get-selection value 'STRING)
>>   (gui-get-selection value 'TEXT))

I tried the following on this Debian/bullseye system.  I changed the
following in src/config.h:

/* Define to 1 if SIGIO is usable. */
#define USABLE_SIGIO 0

and then I build Emacs and ran the snippet -- and it didn't hang for
me.  Are there additional steps necessary?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no